System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Data.Common.DbCommand System.ICloneable System.ComponentModel.DefaultEvent("RecordsAffected") System.ComponentModel.ToolboxItem("System.Drawing.Design.ToolboxItem, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a") System.ComponentModel.Designer("Microsoft.VSDesigner.Data.VS.SqlCommandDesigner, Microsoft.VSDesigner, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.ComponentModel.Design.IDesigner") The SqlCommand class represents the execution of a T-SQL statement or stored procedure against a SQL Server. A SqlCommand instance can execute a T-SQL statement or stored procedure against a database.
- Constructor
  Initializes a new instance of the SqlCommand class.
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added: an object of type 'string'
  Initializes a new instance of the SqlCommand class with a query specified.
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.
  To be added: an object of type 'SqlConnection'
  Initializes a new instance of the SqlCommand class with a query and database connection specified.
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.
  To be added: an object of type 'SqlConnection'
  To be added: an object of type 'SqlTransaction'
  Initializes a new instance of the SqlCommand class with a query, database connection, and database transaction specified.
  To be added
  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.IAsyncResult To be added. To be added. To be added.
- Method
  2.0.0.0
  System.IAsyncResult `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.IAsyncResult To be added. To be added. To be added.
- Method
  2.0.0.0
  System.IAsyncResult `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.IAsyncResult `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.IAsyncResult `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.IAsyncResult To be added. To be added. To be added.
- Method
  2.0.0.0
  System.IAsyncResult `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void Attempts to cancel the execution of a command. No exception is raised if the cancelation attempt is not successful. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Data.SqlClient.SqlCommand To be added. To be added. To be added.
- Property
  System.String Gets or sets a T-SQL statement or stored procedure to execute on a SQL Server database. To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.RefreshProperties(System.ComponentModel.RefreshProperties.All) System.ComponentModel.Editor("Microsoft.VSDesigner.Data.SQL.Design.SqlCommandTextEditor, Microsoft.VSDesigner, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.Drawing.Design.UITypeEditor, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a") System.ComponentModel.DefaultValue("")
- Property
  System.Int32 Gets or sets the amount of time the SqlConnection instance will attempt to execute before giving up. Current value in seconds. When this value is exceeded without the command executing successfully, an exception is thrown. 1.0.5000.0 2.0.0.0
- Property
  System.Data.CommandType To be added To be added: an object of type 'Data.CommandType' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.RefreshProperties(System.ComponentModel.RefreshProperties.All) System.ComponentModel.DefaultValue(System.Data.CommandType.Text)
- Property
  System.Data.SqlClient.SqlConnection The associated SqlConnection the SqlCommand will use to communicate with the SQL Server database. To be added: an object of type 'SqlConnection' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.Editor("Microsoft.VSDesigner.Data.Design.DbConnectionEditor, Microsoft.VSDesigner, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.Drawing.Design.UITypeEditor, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a") System.ComponentModel.DefaultValue(null)
- Method
  2.0.0.0
  System.Data.Common.DbParameter To be added. To be added. To be added.
- Method
  System.Data.SqlClient.SqlParameter To be added To be added: an object of type 'SqlParameter' To be added 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.Data.Common.DbConnection To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Data.Common.DbParameterCollection To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Data.Common.DbTransaction To be added. To be added. To be added.
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never) System.ComponentModel.DesignOnly(true) System.ComponentModel.DefaultValue(true) System.ComponentModel.Browsable(false)
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Int32 `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Data.SqlClient.SqlDataReader `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Xml.XmlReader `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Data.Common.DbDataReader `` To be added. To be added. To be added. To be added.
- Method
  System.Int32 Executes a T-SQL statement or stored procedure against the connection and returns the number of rows that were affected. The number of rows that were affected by the query. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlClient.SqlDataReader To be added To be added: an object of type 'SqlDataReader' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlClient.SqlDataReader `` To be added: an object of type 'Data.CommandBehavior' To be added To be added: an object of type 'SqlDataReader' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Object To be added To be added: an object of type 'object' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XmlReader To be added To be added: an object of type 'Xml.XmlReader' To be added 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(false)
  System.Data.Sql.SqlNotificationRequest To be added. To be added. To be added.
- Property
  2.0.0.0
  System.ComponentModel.DefaultValue(true)
  System.Boolean To be added. To be added. To be added.
- Property
  System.Data.SqlClient.SqlParameterCollection Gets the list of Parameters used when executing a command. To be added: an object of type 'SqlParameterCollection' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Content)
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Event
  2.0.0.0
  System.Data.StatementCompletedEventHandler To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  System.Data.IDbConnection To be added. To be added. To be added.
- Method
  1.0.5000.0
  System.Data.IDbDataParameter To be added. To be added. To be added.
- Method
  1.0.5000.0
  System.Data.IDataReader To be added. To be added. To be added.
- Method
  1.0.5000.0
  System.Data.IDataReader `` To be added. To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  System.Data.IDataParameterCollection To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  System.Data.IDbTransaction To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Object To be added. To be added. To be added.
- Property
  System.Data.SqlClient.SqlTransaction To be added To be added: an object of type 'SqlTransaction' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.ComponentModel.Browsable(false)
- Property
  System.Data.UpdateRowSource To be added To be added: an object of type 'Data.UpdateRowSource' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DefaultValue(System.Data.UpdateRowSource.Both)